Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.format.datetime.joda
Class JodaTimeFormattingConfigurer

    java.lang.Object
      org.springframework.format.datetime.joda.JodaTimeFormattingConfigurer

    public class JodaTimeFormattingConfigurer

extends Object

Configures Joda Time's Formatting system for use with Spring.

Since:
  3.0
Author:
  Keith Donald, Juergen Hoeller
See Also:
  `setDateStyle(java.lang.String)`, `setTimeStyle(java.lang.String)`, `setDateTimeStyle(java.lang.String)`, `setUseIsoFormat(boolean)`, `installJodaTimeFormatting(org.springframework.format.FormatterRegistry)`

Constructor Summary
`JodaTimeFormattingConfigurer()`

Method Summary
`void` | `installJodaTimeFormatting(FormatterRegistry formatterRegistry)` Install Joda Time formatters given the current configuration of this `JodaTimeFormattingConfigurer`.
`void` | `setDateStyle(String dateStyle)` Set the default format style of Joda `LocalDate` objects.
`void` | `setDateTimeStyle(String dateTimeStyle)` Set the default format style of Joda `LocalDateTime` and `DateTime` objects, as well as JDK `Date` and `Calendar` objects.
`void` | `setTimeStyle(String timeStyle)` Set the default format style of Joda `LocalTime` objects.
`void` | `setUseIsoFormat(boolean useIsoFormat)` Set whether standard ISO formatting should be applied to all Date/Time types.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JodaTimeFormattingConfigurer

    public JodaTimeFormattingConfigurer()

Method Detail

### setDateStyle

    public void setDateStyle(String dateStyle)

  Set the default format style of Joda `LocalDate` objects. Default is `DateTimeFormat.shortDate()`.

### setTimeStyle

    public void setTimeStyle(String timeStyle)

  Set the default format style of Joda `LocalTime` objects. Default is `DateTimeFormat.shortTime()`.

### setDateTimeStyle

    public void setDateTimeStyle(String dateTimeStyle)

  Set the default format style of Joda `LocalDateTime` and `DateTime` objects, as well as JDK `Date` and `Calendar` objects. Default is `DateTimeFormat.shortDateTime()`.

### setUseIsoFormat

    public void setUseIsoFormat(boolean useIsoFormat)

  Set whether standard ISO formatting should be applied to all Date/Time types. Default is false (no). If set to true, the dateStyle, timeStyle, and dateTimeStyle properties are ignored.

### installJodaTimeFormatting

    public void installJodaTimeFormatting(FormatterRegistry formatterRegistry)

  Install Joda Time formatters given the current configuration of this `JodaTimeFormattingConfigurer`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD